Page MenuHomePhabricator

Enable CI jobs on the new CiviCRM repos
Closed, ResolvedPublic

Description

We need CI jobs, even if it's just linting or even a no-op, and need to set up Gerrit so that changes can be merged without forcing submit.

Event Timeline

awight created this task.Nov 13 2015, 10:29 PM
awight raised the priority of this task from to Normal.
awight updated the task description. (Show Details)
awight added subscribers: Eileenmcnaughton, gerritbot, awight and 2 others.
atgo removed a subscriber: atgo.Mar 30 2016, 10:06 PM
mmodell removed a subscriber: awight.Jun 22 2017, 9:38 PM
hashar closed this task as Resolved.Jul 18 2017, 12:34 PM
hashar claimed this task.
hashar added subscribers: Ejegg, hashar.

This task is from November 2015. @Eileenmcnaughton and @Ejegg recently improved the jobs being run for CiviCRM, so I am assuming the original intent is fullfilled.

We have some repos that hold the uncompiled code- but in the end I've just been managing the compiled code in gerrit. I think that's OK at this stage. My hope is to get all our patches upstreamed & eliminate any uncompiled code